PDA

Visualizza la versione completa : impossibile installare mysql


diego2000
06-09-2007, 21:12
sto impazzendo...
ho scaricato il pacchetto mysql-5.0.45.tar.gz (uso SUSE 10.2), ho seguit tutte le istruzioni:

1)# tar -xzf mysql-5.0.45.tar.gz
2)cd mysql-5.0.45
3)/configure --prefix=/usr/local/mysql-5.0.45
...e fin qui tutto bene

poi
4)# make
e tutto ko...
ricevo questo messaggio:
make: *** No targets specified and no makefile found. Stop.

perch? cosa devo fare?

se volessi utilizzare apt-get, quali argomenti dovrei aggiungere?
ciao

hfish
06-09-2007, 21:51
compilare roba grossa (quale mysql) su una distribuzione che prevede un sistema di pacchettizazione in generale sconsigliabile... soprattutto se si ha poca esperienza :)

scarica il pacchetto RPM gi compilato e non avrai problemi :)

diego2000
07-09-2007, 03:07
ciao
se installare i pacchetti gi compilati significa servirsi di Yast,, ho fatto, ma non che sia andata tanto meglio

se lancio da console mysqld, appare 'sto messaggio:

Fatal error: Please read "Security" section of the manual to find out how to run mysqld as root!

...e il manuale di 1620 pagine...

almeno apache funziona...

francofait
07-09-2007, 03:34
i servizi in (open)suse si attivano /disattivano da yast - servizi - editor dei runlevel.
mysql in opensuse funziona perfettamente.

tremalnaik_sal
07-09-2007, 08:45
Originariamente inviato da diego2000
ciao
se installare i pacchetti gi compilati significa servirsi di Yast,, ho fatto, ma non che sia andata tanto meglio

se lancio da console mysqld, appare 'sto messaggio:

Fatal error: Please read "Security" section of the manual to find out how to run mysqld as root!

...e il manuale di 1620 pagine...

almeno apache funziona...

devi lanciarlo usando yast
editor dei runlevel attivi mysql
:ciauz:

hfish
07-09-2007, 11:43
Originariamente inviato da diego2000
ciao
se installare i pacchetti gi compilati significa servirsi di Yast,, ho fatto, ma non che sia andata tanto meglio

se lancio da console mysqld, appare 'sto messaggio:

Fatal error: Please read "Security" section of the manual to find out how to run mysqld as root!

...e il manuale di 1620 pagine...

almeno apache funziona...

a te serve leggere solo la sezione SECURITY, o meglio... una piccola parte di essa... hai provato a copiare l'errore e cercarlo con google? aiuta nel 99,99999% dei casi :)

diego2000
10-09-2007, 17:08
grazie per le risposte ragazzi, ho risolto in maniera drastica...ho disinstallato linux dal portatile dove comunque avevo TANTI problemi con i driver (stampanti - monitor - scheda audio....) e ho messo tutto su un desktop pc e va che una meraviglia!

:stordita:

Loading